Summary: AFS PAG and AFS tokens on login
Name: pam_afs_session
Version: 2.2
Release: 4%{?dist}
License: MIT
Group: System Environment/Base
URL: http://www.eyrie.org/~eagle/software/pam-afs-session/
Source: http://archives.eyrie.org/software/afs/pam-afs-session-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pam_krb5
BuildRequires: pam-devel%{?_isa}
BuildRequires: krb5-devel%{?_isa}
%description
pam-afs-session is a PAM module intended for use with a Kerberos v5 PAM module
to obtain an AFS PAG (Process Authentication Group) and AFS tokens on login. It
puts every new session in a PAG regardless of whether it was authenticated with
Kerberos and runs a configurable external program to obtain tokens.

%define pamdir /%{_lib}/security

%prep
%setup -q -n pam-afs-session-%{version}
# remove non-redhat examples
find examples -mindepth 1 -maxdepth 1 -not -name "redhat" -exec rm -rf {} ';'

%build
%configure --libdir=/%{_lib} --with-aklog=%{_bindir}/aklog
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{pamdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{pamdir}/pam_afs_session.so
%{_mandir}/man5/pam_afs_session.5.gz
%doc LICENSE NEWS README TODO examples

%changelog
* Thu Mar 17 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.2-4
- configure --with-aklog. Your aklog binary better follow the FHS.

* Thu Mar 17 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.2-3
- add dist tag.

* Sun Mar 05 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.2-2
- modify source's examples folder in prep stage

* Sat Mar 05 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.2-1
- New upstream release.
- Only include redhat docs.

* Tue Mar 02 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.1-3
- Rename pam-afs-session to pam_afs_session

* Thu Feb 22 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.1-2
- Add %{?_isa} on the BuildRequires -devel packages

* Thu Feb 17 2011 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.1-1
- Update to 2.1
- rpmlint fixes

* Fri Sep 10 2010 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.7-1
- basic spec obtained from http://crcmedia.hpcc.nd.edu/wiki/index.php/Automatic_CRC/ND_AFS_cell_setup
- switch out Russ Allbery's pam-krb5 for RedHat's pam_krb5 in Requires
